@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

:root {
    --c-primary: 192.9deg 90.5% 45.5%;
    --c-secondary: 222.9deg 90.5% 45.5%;
    --c-accent: 192.9deg 90.3% 87.8%;
    --c-accent-light: 194.3deg 91.3% 95.5%;
    --c-accent-lighter: 200deg 100% 99.4%;
    --c-account: 0deg 100% 78%;
    --c-info: 0deg 81% 87%;
    --c-tip: 0deg 94% 82%;
    --c-success: 132.9deg 90.5% 45.5%;
    --c-success-700: 1132.9deg 90.5% 24.5%;
    --c-warning: 12.9deg 90.5% 45.5%;
    --c-warning-light: 12.9deg 90.5% 92.5%;
    --c-shadow: 93.1deg 3.9% 63.1%;

    --c-gray-100: 93.1deg 3.9% 96.1%;
    --c-gray-200: 93.1deg 3.9% 90.1%;
    --c-gray-300: 93.1deg 3.9% 85.1%;
    --c-gray-400: 93.1deg 3.9% 65.1%;
    --c-gray-500: 93.1deg 3.9% 50.1%;

    --c-body: 93.1deg 88.9% 7.1%;
    --c-page: hsl(var(--c-gray-100));

    --c-card-color: hsl(var(--c-body));
    --c-card-icon: hsl(var(--c-secondary));

    --chat-own-msg-bg: 192.9deg 84.5% 94.5%;
    --chapters-bg: #fff;

    --f-accent: 'Rubik', ui-sans-serif, system-ui, sans-serif;
    --f-main: 'Rubik', ui-sans-serif, system-ui, sans-serif;
    --f-heading-weight: 500;

    --i-auth-bg: url('/images/auth-img.jpg');

    --f-btn-weight: 500;
    --s-btn-radius: 0.375rem;

    --s-webinarsub-radius: 0.5rem;

    --s-subs-logo-height: 80px;
    --s-subs-logo-max-w: fit-content;
    --s-subs-logo-top-margin-vert: 0.5rem;
    --s-subs-logo-top-margin-vert-md: 0.5rem;
    --s-subs-logo-bottom-margin-vert: 0.5rem;
    --s-subs-logo-bottom-margin-vert-md: 0.5rem;

    --viewer-min-height: 100dvh;
    --viewer-info-space: 4rem;

    --viewer-background-color: inherit;
    --viewer-text-color: inherit;
}

.btn {
    --_c-btn-bg: transparent;
    --_c-btn-hover-bg: hsl(var(--c-gray-200));
    --_c-btn-border: transparent;
    --_c-btn-hover-border: hsl(var(--c-gray-200));
    --_c-btn-color: hsl(var(--c-body));
    --_c-btn-hover-color: inherit;
}

.btn--primary {
    --_c-btn-bg: hsl(var(--c-primary));
    --_c-btn-hover-bg: hsl(0 0% 100%);
    --_c-btn-border: hsl(var(--c-primary));
    --_c-btn-hover-border: hsl(var(--c-primary));
    --_c-btn-color: hsl(var(--c-body));
    --_c-btn-hover-color: hsl(var(--c-body));
}

.btn--outline-primary {
    --_c-btn-bg: hsl(0 0% 100%);
    --_c-btn-hover-bg: hsl(var(--c-primary));
    --_c-btn-border: hsl(var(--c-primary));
    --_c-btn-hover-border: hsl(var(--c-primary));
    --_c-btn-color: hsl(var(--c-body));
    --_c-btn-hover-color: hsl(var(--c-body));
}

.btn--secondary {
    --_c-btn-bg: hsl(var(--c-secondary));
    --_c-btn-hover-bg: hsl(0 0% 100%);
    --_c-btn-border: hsl(var(--c-secondary));
    --_c-btn-hover-border: hsl(var(--c-secondary));
    --_c-btn-color: hsl(0 0% 100%);
    --_c-btn-hover-color: hsl(var(--c-secondary));
}

.btn--outline-secondary {
    --_c-btn-bg: hsl(0 0% 100%);
    --_c-btn-hover-bg: hsl(var(--c-secondary));
    --_c-btn-border: hsl(var(--c-secondary));
    --_c-btn-hover-border: hsl(var(--c-secondary));
    --_c-btn-color: hsl(var(--c-secondary));
    --_c-btn-hover-color: hsl(0 0% 100%);
}

.btn--success {
    --_c-btn-bg: hsl(var(--c-success));
    --_c-btn-hover-bg: hsl(0 0% 100%);
    --_c-btn-border: hsl(var(--c-success));
    --_c-btn-hover-border: hsl(var(--c-success));
    --_c-btn-color: hsl(0 0% 5%);
    --_c-btn-hover-color: hsl(0 0% 5%);
}

.btn--outline-success {
    --_c-btn-bg: hsl(0 0% 100%);
    --_c-btn-hover-bg: hsl(var(--c-success));
    --_c-btn-border: hsl(var(--c-success));
    --_c-btn-hover-border: hsl(var(--c-success));
    --_c-btn-color: hsl(0 0% 5%);
    --_c-btn-hover-color: hsl(0 0% 5%);
}

.btn--warning {
    --_c-btn-bg: hsl(var(--c-warning));
    --_c-btn-hover-bg: hsl(0 0% 100%);
    --_c-btn-border: hsl(var(--c-warning));
    --_c-btn-hover-border: hsl(var(--c-warning));
    --_c-btn-color: hsl(0 0% 100%);
    --_c-btn-hover-color: hsl(var(--c-warning));
}

.btn--outline-warning {
    --_c-btn-bg: hsl(0 0% 100%);
    --_c-btn-hover-bg: hsl(var(--c-warning));
    --_c-btn-border: hsl(var(--c-warning));
    --_c-btn-hover-border: hsl(var(--c-warning));
    --_c-btn-color: hsl(var(--c-warning));
    --_c-btn-hover-color: hsl(0 0% 100%);
}

.btn--outline-white {
    --_c-btn-bg: transparent;
    --_c-btn-hover-bg: hsl(0 0% 100%);
    --_c-btn-border: hsl(0 0% 100%);
    --_c-btn-hover-border: hsl(0 0% 100%);
    --_c-btn-color: hsl(0 0% 100%);
    --_c-btn-hover-color: hsl(var(--c-body));
}

.btn--link {
    --_c-btn-bg: transparent;
    --_c-btn-hover-bg: hsl(0 0% 100%);
    --_c-btn-border: transparent;
    --_c-btn-hover-border: transparent;
    --_c-btn-color: hsl(var(--c-body));
    --_c-btn-hover-color: hsl(var(--c-body));
}

.vwr-countdown {
    --c-vwr-countdown-bg: transparent;
    --c-vwr-countdown-txt: hsl(0deg 0% 100%);
    align-items: center;
}

.subs-header {
    --c-subs-header-bg: 0 0% 100%;

    --s-subs-logo-max-w: 180px;

    --c-subs-nav: var(--c-body);
    --f-subs-nav: var(--f-main);
    --f-subs-nav-weight: 600;
    --c-subs-nav-overlay-bg: hsl(0 0% 0%/0.5);

    --c-subs-menu-active-bg: hsl(var(--c-primary));
    --s-subs-menu-active-height: 3px;
    --s-subs-menu-active-radius: 0.25rem;

    --c-subs-acc-menu-bg: var(--c-subs-header-bg);
    --s-subs-acc-menu-radius: var(--s-webinarsub-radius);
}
